#-*- coding: utf-8 -*-


from django.conf.urls import patterns, include, url

urlpatterns = patterns('grille_de_l_amour.appli.views',

    # Permet de récupérer la couleur choisie ainsi que le numéro de la case cliquée
    url(r'^grille/(?P<couleur>[0-9]{1})/(?P<num_case>[0-9]{,3})/?$', 'modif_pixel'),
    # Permet de récupérer la couleur choisie et de passer l'instruction de sauvegarde de l'image
    url(r'^grille/(?P<couleur>[01234567])/save/?$', 'ajout_image'),
    # Le 'name' nous permet de définir /grille comme l'url par défaut
    url(r'grille/?$', 'page_grille', name="accueil_grille"),

    # Permet de récupérer le niveau de zoom, la latitude et la longitude 
    # tels que proposés par OSM dans ses url : http://www.openstreetmap.org
    url(r'^carte/(?P<niv_zoom>[0-9]{1,2})/(?P<latitude>[-]?[0-9]{1,3}([.][0-9]{1,6})?)/(?P<longitude>[-]?[0-9]{1,3}([.][0-9]{1,6})?)/?$', 'page_carte'),
    url(r'^carte/?$', 'origine'),

    url(r'^matrice/?$', 'page_matrice'),
    url(r'^ligne/?$', 'page_ligne'),
    url(r'^colonne/?$', 'page_colonne'),
    url(r'^film/?$', 'page_film'),

    url(r'', 'accueil'),

)


